Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.design
Class JRDesignCrosstabMeasure

    java.lang.Object
      net.sf.jasperreports.crosstabs.base.JRBaseCrosstabMeasure
          net.sf.jasperreports.crosstabs.design.JRDesignCrosstabMeasure

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabMeasure, JRChangeEventsSupport, JRCloneable

    public class JRDesignCrosstabMeasure

extends JRBaseCrosstabMeasure
implements JRChangeEventsSupport

Crosstab measure implementation to be used for report designing.

Version:
  $Id: JRDesignCrosstabMeasure.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRDesignVariable` | `designVariable`
`static java.lang.String` | `PROPERTY_CALCULATION`
`static java.lang.String` | `PROPERTY_INCREMENTER_FACTORY_CLASS_NAME`
`static java.lang.String` | `PROPERTY_NAME`
`static java.lang.String` | `PROPERTY_PERCENTAGE_CALCULATION_CLASS_NAME`
`static java.lang.String` | `PROPERTY_PERCENTAGE_OF_TYPE`
`static java.lang.String` | `PROPERTY_VALUE_CLASS`
`static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`

Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabMeasure
`calculationValue, expression, incrementerFactoryClass, incrementerFactoryClassName, incrementerFactoryClassRealName, name, percentageCalculatorClass, percentageCalculatorClassName, percentageCalculatorClassRealName, percentageType, valueClass, valueClassName, valueClassRealName, variable`

Fields inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabMeasure
`PERCENTAGE_TYPE_GRAND_TOTAL, PERCENTAGE_TYPE_NONE`

Constructor Summary
`JRDesignCrosstabMeasure()` Creates a crosstab measure.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Add a property listener to listen to all properties of this class.
`void` | `addPropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener l)` Add a property listener to receive property change events for only one specific property.
`java.lang.Object` | `clone()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`protected java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()` Get the property change support object for this class.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` Remove a property change listener registered for all properties.
`void` | `removePropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener l)` Remove a property change listener registered for a specific property.
`void` | `setCalculation(byte calculation)` Deprecated. Replaced by `setCalculation(CalculationEnum)`
`void` | `setCalculation(CalculationEnum calculationValue)` Sets the calculation type.
`void` | `setIncrementerFactoryClassName(java.lang.String incrementerFactoryClassName)` Sets the incrementer factory class name.
`void` | `setName(java.lang.String name)` Sets the measure name.
`void` | `setPercentageCalculatorClassName(java.lang.String percentageCalculatorClassName)` Sets the percentage calculator class name.
`void` | `setPercentageOfType(byte percentageOfType)` Deprecated. Replaced by `setPercentageType(CrosstabPercentageEnum)`.
`void` | `setPercentageType(CrosstabPercentageEnum percentageType)` Sets the percentage calculation type.
`void` | `setValueClassName(java.lang.String valueClassName)` Sets the measure value class name.
`void` | `setValueExpression(JRExpression expression)` Sets the measure value expression.

Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabMeasure
`getCalculation, getCalculationValue, getIncrementerFactoryClass, getIncrementerFactoryClassName, getName, getPercentageCalculatorClass, getPercentageCalculatorClassName, getPercentageOfType, getPercentageType, getValueClass, getValueClassName, getValueExpression, getVariable`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CALCULATION

    public static final java.lang.String PROPERTY_CALCULATION

See Also:
  Constant Field Values

### PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

    public static final java.lang.String PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

See Also:
  Constant Field Values

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### PROPERTY_PERCENTAGE_CALCULATION_CLASS_NAME

    public static final java.lang.String PROPERTY_PERCENTAGE_CALCULATION_CLASS_NAME

See Also:
  Constant Field Values

### PROPERTY_PERCENTAGE_OF_TYPE

    public static final java.lang.String PROPERTY_PERCENTAGE_OF_TYPE

See Also:
  Constant Field Values

### PROPERTY_VALUE_CLASS

    public static final java.lang.String PROPERTY_VALUE_CLASS

See Also:
  Constant Field Values

### PROPERTY_VALUE_EXPRESSION

    public static final java.lang.String PROPERTY_VALUE_EXPRESSION

See Also:
  Constant Field Values

### designVariable

    protected JRDesignVariable designVariable

Constructor Detail

### JRDesignCrosstabMeasure

    public JRDesignCrosstabMeasure()

  Creates a crosstab measure.

Method Detail

### setCalculation

    public void setCalculation(byte calculation)

  Deprecated. Replaced by `setCalculation(CalculationEnum)`

### setCalculation

    public void setCalculation(CalculationEnum calculationValue)

  Sets the calculation type.

  Parameters:
    `calculationValue` - the calculation type
  See Also:
    `JRCrosstabMeasure.getCalculation()`

### setValueExpression

    public void setValueExpression(JRExpression expression)

  Sets the measure value expression.

  Parameters:
    `expression` - the measure value expression.
  See Also:
    `JRCrosstabMeasure.getValueExpression()`

### setIncrementerFactoryClassName

    public void setIncrementerFactoryClassName(java.lang.String incrementerFactoryClassName)

  Sets the incrementer factory class name.

  Parameters:
    `incrementerFactoryClassName` - the incrementer factory class name
  See Also:
    `JRCrosstabMeasure.getIncrementerFactoryClassName()`

### setName

    public void setName(java.lang.String name)

  Sets the measure name.

  Parameters:
    `name` - the measure name
  See Also:
    `JRCrosstabMeasure.getName()`

### setPercentageOfType

    public void setPercentageOfType(byte percentageOfType)

  Deprecated. Replaced by `setPercentageType(CrosstabPercentageEnum)`.

### setPercentageType

    public void setPercentageType(CrosstabPercentageEnum percentageType)

  Sets the percentage calculation type.

  Parameters:
    `percentageType` - the percentage calculation type
  See Also:
    `JRCrosstabMeasure.getPercentageType()`

### setPercentageCalculatorClassName

    public void setPercentageCalculatorClassName(java.lang.String percentageCalculatorClassName)

  Sets the percentage calculator class name.

  Parameters:
    `percentageCalculatorClassName` - the percentage calculator class name
  See Also:
    `JRCrosstabMeasure.getPercentageCalculatorClassName()`

### setValueClassName

    public void setValueClassName(java.lang.String valueClassName)

  Sets the measure value class name.

  Parameters:
    `valueClassName` - the measure value class name
  See Also:
    `JRCrosstabMeasure.getValueClassName()`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Add a property listener to listen to all properties of this class.

  Parameters:
    `l` - The property listener to add.
  See Also:
    `removePropertyChangeListener(PropertyChangeListener)`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propName,
                                          java.beans.PropertyChangeListener l)

  Add a property listener to receive property change events for only one specific property.

  Parameters:
    `propName` - The property to listen to.
    `l` - The property listener to add.
  See Also:
    `removePropertyChangeListener(String, PropertyChangeListener)`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Remove a property change listener registered for all properties. This will only remove listeners that were added through the `addPropertyChangeListener(PropertyChangeListener)` method.

  Parameters:
    `l` - The listener to remove.

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propName,
                                             java.beans.PropertyChangeListener l)

  Remove a property change listener registered for a specific property.

  Parameters:
    `propName` - The property to listen to.
    `l` - The listener to remove.

### getPropertyChangeSupport

    protected java.beans.PropertyChangeSupport getPropertyChangeSupport()

  Get the property change support object for this class. Because the property change support object has to be transient, it may need to be created.

  Returns:
    The property change support object.

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseCrosstabMeasure`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com